net.sf.cglib.core

## Class MethodInfoTransformer

- java.lang.Object
- - net.sf.cglib.core.MethodInfoTransformer

- All Implemented Interfaces:
    Transformer

      public class MethodInfoTransformer
      extends java.lang.Object
      implements Transformer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MethodInfoTransformer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MethodInfoTransformer` | `getInstance()`
    `java.lang.Object` | `transform(java.lang.Object value)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MethodInfoTransformer

          public MethodInfoTransformer()

  - ### Method Detail

    - #### getInstance

          public static MethodInfoTransformer getInstance()

    - #### transform

          public java.lang.Object transform(java.lang.Object value)

      Specified by:
        `transform` in interface `Transformer`

Copyright (c) 2001 - Apache Software Foundation